Viewing docs for Oracle Cloud Infrastructure v4.4.0
published on Thursday, Mar 26, 2026 by Pulumi
published on Thursday, Mar 26, 2026 by Pulumi
Viewing docs for Oracle Cloud Infrastructure v4.4.0
published on Thursday, Mar 26, 2026 by Pulumi
published on Thursday, Mar 26, 2026 by Pulumi
This data source provides the list of Identity Proofing Provider Templates in Oracle Cloud Infrastructure Identity Domains service.
Search Identity Proofing Provider Configuration templates..
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as oci from "@pulumi/oci";
const testIdentityProofingProviderTemplates = oci.Identity.getDomainsIdentityProofingProviderTemplates({
idcsEndpoint: testDomain.url,
identityProofingProviderTemplateCount: identityProofingProviderTemplateIdentityProofingProviderTemplateCount,
identityProofingProviderTemplateFilter: identityProofingProviderTemplateIdentityProofingProviderTemplateFilter,
attributeSets: ["all"],
attributes: "",
authorization: identityProofingProviderTemplateAuthorization,
resourceTypeSchemaVersion: identityProofingProviderTemplateResourceTypeSchemaVersion,
startIndex: identityProofingProviderTemplateStartIndex,
});
import pulumi
import pulumi_oci as oci
test_identity_proofing_provider_templates = oci.Identity.get_domains_identity_proofing_provider_templates(idcs_endpoint=test_domain["url"],
identity_proofing_provider_template_count=identity_proofing_provider_template_identity_proofing_provider_template_count,
identity_proofing_provider_template_filter=identity_proofing_provider_template_identity_proofing_provider_template_filter,
attribute_sets=["all"],
attributes="",
authorization=identity_proofing_provider_template_authorization,
resource_type_schema_version=identity_proofing_provider_template_resource_type_schema_version,
start_index=identity_proofing_provider_template_start_index)
package main
import (
"github.com/pulumi/pulumi-oci/sdk/v4/go/oci/identity"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := identity.GetDomainsIdentityProofingProviderTemplates(ctx, &identity.GetDomainsIdentityProofingProviderTemplatesArgs{
IdcsEndpoint: testDomain.Url,
IdentityProofingProviderTemplateCount: pulumi.IntRef(identityProofingProviderTemplateIdentityProofingProviderTemplateCount),
IdentityProofingProviderTemplateFilter: pulumi.StringRef(identityProofingProviderTemplateIdentityProofingProviderTemplateFilter),
AttributeSets: []string{
"all",
},
Attributes: pulumi.StringRef(""),
Authorization: pulumi.StringRef(identityProofingProviderTemplateAuthorization),
ResourceTypeSchemaVersion: pulumi.StringRef(identityProofingProviderTemplateResourceTypeSchemaVersion),
StartIndex: pulumi.IntRef(identityProofingProviderTemplateStartIndex),
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Oci = Pulumi.Oci;
return await Deployment.RunAsync(() =>
{
var testIdentityProofingProviderTemplates = Oci.Identity.GetDomainsIdentityProofingProviderTemplates.Invoke(new()
{
IdcsEndpoint = testDomain.Url,
IdentityProofingProviderTemplateCount = identityProofingProviderTemplateIdentityProofingProviderTemplateCount,
IdentityProofingProviderTemplateFilter = identityProofingProviderTemplateIdentityProofingProviderTemplateFilter,
AttributeSets = new[]
{
"all",
},
Attributes = "",
Authorization = identityProofingProviderTemplateAuthorization,
ResourceTypeSchemaVersion = identityProofingProviderTemplateResourceTypeSchemaVersion,
StartIndex = identityProofingProviderTemplateStartIndex,
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.oci.Identity.IdentityFunctions;
import com.pulumi.oci.Identity.inputs.GetDomainsIdentityProofingProviderTemplatesArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var testIdentityProofingProviderTemplates = IdentityFunctions.getDomainsIdentityProofingProviderTemplates(GetDomainsIdentityProofingProviderTemplatesArgs.builder()
.idcsEndpoint(testDomain.url())
.identityProofingProviderTemplateCount(identityProofingProviderTemplateIdentityProofingProviderTemplateCount)
.identityProofingProviderTemplateFilter(identityProofingProviderTemplateIdentityProofingProviderTemplateFilter)
.attributeSets("all")
.attributes("")
.authorization(identityProofingProviderTemplateAuthorization)
.resourceTypeSchemaVersion(identityProofingProviderTemplateResourceTypeSchemaVersion)
.startIndex(identityProofingProviderTemplateStartIndex)
.build());
}
}
variables:
testIdentityProofingProviderTemplates:
fn::invoke:
function: oci:Identity:getDomainsIdentityProofingProviderTemplates
arguments:
idcsEndpoint: ${testDomain.url}
identityProofingProviderTemplateCount: ${identityProofingProviderTemplateIdentityProofingProviderTemplateCount}
identityProofingProviderTemplateFilter: ${identityProofingProviderTemplateIdentityProofingProviderTemplateFilter}
attributeSets:
- all
attributes: ""
authorization: ${identityProofingProviderTemplateAuthorization}
resourceTypeSchemaVersion: ${identityProofingProviderTemplateResourceTypeSchemaVersion}
startIndex: ${identityProofingProviderTemplateStartIndex}
Using getDomainsIdentityProofingProviderTemplates
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getDomainsIdentityProofingProviderTemplates(args: GetDomainsIdentityProofingProviderTemplatesArgs, opts?: InvokeOptions): Promise<GetDomainsIdentityProofingProviderTemplatesResult>
function getDomainsIdentityProofingProviderTemplatesOutput(args: GetDomainsIdentityProofingProviderTemplatesOutputArgs, opts?: InvokeOptions): Output<GetDomainsIdentityProofingProviderTemplatesResult>def get_domains_identity_proofing_provider_templates(attribute_sets: Optional[Sequence[str]] = None,
attributes: Optional[str] = None,
authorization: Optional[str] = None,
compartment_id: Optional[str] = None,
idcs_endpoint: Optional[str] = None,
identity_proofing_provider_template_count: Optional[int] = None,
identity_proofing_provider_template_filter: Optional[str] = None,
resource_type_schema_version: Optional[str] = None,
sort_by: Optional[str] = None,
sort_order: Optional[str] = None,
start_index: Optional[int] = None,
opts: Optional[InvokeOptions] = None) -> GetDomainsIdentityProofingProviderTemplatesResult
def get_domains_identity_proofing_provider_templates_output(attribute_sets: Optional[pulumi.Input[Sequence[pulumi.Input[str]]]] = None,
attributes: Optional[pulumi.Input[str]] = None,
authorization: Optional[pulumi.Input[str]] = None,
compartment_id: Optional[pulumi.Input[str]] = None,
idcs_endpoint: Optional[pulumi.Input[str]] = None,
identity_proofing_provider_template_count: Optional[pulumi.Input[int]] = None,
identity_proofing_provider_template_filter: Optional[pulumi.Input[str]] = None,
resource_type_schema_version: Optional[pulumi.Input[str]] = None,
sort_by: Optional[pulumi.Input[str]] = None,
sort_order: Optional[pulumi.Input[str]] = None,
start_index: Optional[pulumi.Input[int]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetDomainsIdentityProofingProviderTemplatesResult]func GetDomainsIdentityProofingProviderTemplates(ctx *Context, args *GetDomainsIdentityProofingProviderTemplatesArgs, opts ...InvokeOption) (*GetDomainsIdentityProofingProviderTemplatesResult, error)
func GetDomainsIdentityProofingProviderTemplatesOutput(ctx *Context, args *GetDomainsIdentityProofingProviderTemplatesOutputArgs, opts ...InvokeOption) GetDomainsIdentityProofingProviderTemplatesResultOutput> Note: This function is named GetDomainsIdentityProofingProviderTemplates in the Go SDK.
public static class GetDomainsIdentityProofingProviderTemplates
{
public static Task<GetDomainsIdentityProofingProviderTemplatesResult> InvokeAsync(GetDomainsIdentityProofingProviderTemplatesArgs args, InvokeOptions? opts = null)
public static Output<GetDomainsIdentityProofingProviderTemplatesResult> Invoke(GetDomainsIdentityProofingProviderTemplatesInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetDomainsIdentityProofingProviderTemplatesResult> getDomainsIdentityProofingProviderTemplates(GetDomainsIdentityProofingProviderTemplatesArgs args, InvokeOptions options)
public static Output<GetDomainsIdentityProofingProviderTemplatesResult> getDomainsIdentityProofingProviderTemplates(GetDomainsIdentityProofingProviderTemplatesArgs args, InvokeOptions options)
fn::invoke:
function: oci:Identity/getDomainsIdentityProofingProviderTemplates:getDomainsIdentityProofingProviderTemplates
arguments:
# arguments dictionaryThe following arguments are supported:
- Idcs
Endpoint string - The basic endpoint for the identity domain
- Attribute
Sets List<string> - A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- Attributes string
- A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- string
- The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- Compartment
Id string - Identity
Proofing intProvider Template Count - OPTIONAL. An integer that indicates the desired maximum number of query results per page. 1000 is the largest value that you can use. See the Pagination section of the System for Cross-Domain Identity Management Protocol specification for more information. (Section 3.4.2.4).
- Identity
Proofing stringProvider Template Filter - OPTIONAL. The filter string that is used to request a subset of resources. The filter string MUST be a valid filter expression. See the Filtering section of the SCIM specification for more information (Section 3.4.2.2). The string should contain at least one condition that each item must match in order to be returned in the search results. Each condition specifies an attribute, an operator, and a value. Conditions within a filter can be connected by logical operators (such as AND and OR). Sets of conditions can be grouped together using parentheses.
- Resource
Type stringSchema Version - An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- Sort
By string - Sort
Order string - Start
Index int - OPTIONAL. An integer that indicates the 1-based index of the first query result. See the Pagination section of the SCIM specification for more information. (Section 3.4.2.4). The number of results pages to return. The first page is 1. Specify 2 to access the second page of results, and so on.
- Idcs
Endpoint string - The basic endpoint for the identity domain
- Attribute
Sets []string - A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- Attributes string
- A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- string
- The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- Compartment
Id string - Identity
Proofing intProvider Template Count - OPTIONAL. An integer that indicates the desired maximum number of query results per page. 1000 is the largest value that you can use. See the Pagination section of the System for Cross-Domain Identity Management Protocol specification for more information. (Section 3.4.2.4).
- Identity
Proofing stringProvider Template Filter - OPTIONAL. The filter string that is used to request a subset of resources. The filter string MUST be a valid filter expression. See the Filtering section of the SCIM specification for more information (Section 3.4.2.2). The string should contain at least one condition that each item must match in order to be returned in the search results. Each condition specifies an attribute, an operator, and a value. Conditions within a filter can be connected by logical operators (such as AND and OR). Sets of conditions can be grouped together using parentheses.
- Resource
Type stringSchema Version - An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- Sort
By string - Sort
Order string - Start
Index int - OPTIONAL. An integer that indicates the 1-based index of the first query result. See the Pagination section of the SCIM specification for more information. (Section 3.4.2.4). The number of results pages to return. The first page is 1. Specify 2 to access the second page of results, and so on.
- idcs
Endpoint String - The basic endpoint for the identity domain
- attribute
Sets List<String> - A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- attributes String
- A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- String
- The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- compartment
Id String - identity
Proofing IntegerProvider Template Count - OPTIONAL. An integer that indicates the desired maximum number of query results per page. 1000 is the largest value that you can use. See the Pagination section of the System for Cross-Domain Identity Management Protocol specification for more information. (Section 3.4.2.4).
- identity
Proofing StringProvider Template Filter - OPTIONAL. The filter string that is used to request a subset of resources. The filter string MUST be a valid filter expression. See the Filtering section of the SCIM specification for more information (Section 3.4.2.2). The string should contain at least one condition that each item must match in order to be returned in the search results. Each condition specifies an attribute, an operator, and a value. Conditions within a filter can be connected by logical operators (such as AND and OR). Sets of conditions can be grouped together using parentheses.
- resource
Type StringSchema Version - An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- sort
By String - sort
Order String - start
Index Integer - OPTIONAL. An integer that indicates the 1-based index of the first query result. See the Pagination section of the SCIM specification for more information. (Section 3.4.2.4). The number of results pages to return. The first page is 1. Specify 2 to access the second page of results, and so on.
- idcs
Endpoint string - The basic endpoint for the identity domain
- attribute
Sets string[] - A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- attributes string
- A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- string
- The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- compartment
Id string - identity
Proofing numberProvider Template Count - OPTIONAL. An integer that indicates the desired maximum number of query results per page. 1000 is the largest value that you can use. See the Pagination section of the System for Cross-Domain Identity Management Protocol specification for more information. (Section 3.4.2.4).
- identity
Proofing stringProvider Template Filter - OPTIONAL. The filter string that is used to request a subset of resources. The filter string MUST be a valid filter expression. See the Filtering section of the SCIM specification for more information (Section 3.4.2.2). The string should contain at least one condition that each item must match in order to be returned in the search results. Each condition specifies an attribute, an operator, and a value. Conditions within a filter can be connected by logical operators (such as AND and OR). Sets of conditions can be grouped together using parentheses.
- resource
Type stringSchema Version - An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- sort
By string - sort
Order string - start
Index number - OPTIONAL. An integer that indicates the 1-based index of the first query result. See the Pagination section of the SCIM specification for more information. (Section 3.4.2.4). The number of results pages to return. The first page is 1. Specify 2 to access the second page of results, and so on.
- idcs_
endpoint str - The basic endpoint for the identity domain
- attribute_
sets Sequence[str] - A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- attributes str
- A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- str
- The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- compartment_
id str - identity_
proofing_ intprovider_ template_ count - OPTIONAL. An integer that indicates the desired maximum number of query results per page. 1000 is the largest value that you can use. See the Pagination section of the System for Cross-Domain Identity Management Protocol specification for more information. (Section 3.4.2.4).
- identity_
proofing_ strprovider_ template_ filter - OPTIONAL. The filter string that is used to request a subset of resources. The filter string MUST be a valid filter expression. See the Filtering section of the SCIM specification for more information (Section 3.4.2.2). The string should contain at least one condition that each item must match in order to be returned in the search results. Each condition specifies an attribute, an operator, and a value. Conditions within a filter can be connected by logical operators (such as AND and OR). Sets of conditions can be grouped together using parentheses.
- resource_
type_ strschema_ version - An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- sort_
by str - sort_
order str - start_
index int - OPTIONAL. An integer that indicates the 1-based index of the first query result. See the Pagination section of the SCIM specification for more information. (Section 3.4.2.4). The number of results pages to return. The first page is 1. Specify 2 to access the second page of results, and so on.
- idcs
Endpoint String - The basic endpoint for the identity domain
- attribute
Sets List<String> - A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- attributes String
- A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- String
- The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- compartment
Id String - identity
Proofing NumberProvider Template Count - OPTIONAL. An integer that indicates the desired maximum number of query results per page. 1000 is the largest value that you can use. See the Pagination section of the System for Cross-Domain Identity Management Protocol specification for more information. (Section 3.4.2.4).
- identity
Proofing StringProvider Template Filter - OPTIONAL. The filter string that is used to request a subset of resources. The filter string MUST be a valid filter expression. See the Filtering section of the SCIM specification for more information (Section 3.4.2.2). The string should contain at least one condition that each item must match in order to be returned in the search results. Each condition specifies an attribute, an operator, and a value. Conditions within a filter can be connected by logical operators (such as AND and OR). Sets of conditions can be grouped together using parentheses.
- resource
Type StringSchema Version - An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- sort
By String - sort
Order String - start
Index Number - OPTIONAL. An integer that indicates the 1-based index of the first query result. See the Pagination section of the SCIM specification for more information. (Section 3.4.2.4). The number of results pages to return. The first page is 1. Specify 2 to access the second page of results, and so on.
getDomainsIdentityProofingProviderTemplates Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Idcs
Endpoint string - Identity
Proofing List<GetProvider Templates Domains Identity Proofing Provider Templates Identity Proofing Provider Template> - The list of identity_proofing_provider_templates.
- Items
Per intPage - Schemas List<string>
- REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
- Total
Results int - Attribute
Sets List<string> - Attributes string
- string
- Compartment
Id string - Identity
Proofing intProvider Template Count - Identity
Proofing stringProvider Template Filter - Resource
Type stringSchema Version - Sort
By string - Sort
Order string - Start
Index int
- Id string
- The provider-assigned unique ID for this managed resource.
- Idcs
Endpoint string - Identity
Proofing []GetProvider Templates Domains Identity Proofing Provider Templates Identity Proofing Provider Template - The list of identity_proofing_provider_templates.
- Items
Per intPage - Schemas []string
- REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
- Total
Results int - Attribute
Sets []string - Attributes string
- string
- Compartment
Id string - Identity
Proofing intProvider Template Count - Identity
Proofing stringProvider Template Filter - Resource
Type stringSchema Version - Sort
By string - Sort
Order string - Start
Index int
- id String
- The provider-assigned unique ID for this managed resource.
- idcs
Endpoint String - identity
Proofing List<GetProvider Templates Domains Proofing Provider Templates Proofing Provider Template> - The list of identity_proofing_provider_templates.
- items
Per IntegerPage - schemas List<String>
- REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
- total
Results Integer - attribute
Sets List<String> - attributes String
- String
- compartment
Id String - identity
Proofing IntegerProvider Template Count - identity
Proofing StringProvider Template Filter - resource
Type StringSchema Version - sort
By String - sort
Order String - start
Index Integer
- id string
- The provider-assigned unique ID for this managed resource.
- idcs
Endpoint string - identity
Proofing GetProvider Templates Domains Identity Proofing Provider Templates Identity Proofing Provider Template[] - The list of identity_proofing_provider_templates.
- items
Per numberPage - schemas string[]
- REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
- total
Results number - attribute
Sets string[] - attributes string
- string
- compartment
Id string - identity
Proofing numberProvider Template Count - identity
Proofing stringProvider Template Filter - resource
Type stringSchema Version - sort
By string - sort
Order string - start
Index number
- id str
- The provider-assigned unique ID for this managed resource.
- idcs_
endpoint str - identity_
proofing_ Sequence[Getprovider_ templates Domains Identity Proofing Provider Templates Identity Proofing Provider Template] - The list of identity_proofing_provider_templates.
- items_
per_ intpage - schemas Sequence[str]
- REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
- total_
results int - attribute_
sets Sequence[str] - attributes str
- str
- compartment_
id str - identity_
proofing_ intprovider_ template_ count - identity_
proofing_ strprovider_ template_ filter - resource_
type_ strschema_ version - sort_
by str - sort_
order str - start_
index int
- id String
- The provider-assigned unique ID for this managed resource.
- idcs
Endpoint String - identity
Proofing List<Property Map>Provider Templates - The list of identity_proofing_provider_templates.
- items
Per NumberPage - schemas List<String>
- REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
- total
Results Number - attribute
Sets List<String> - attributes String
- String
- compartment
Id String - identity
Proofing NumberProvider Template Count - identity
Proofing StringProvider Template Filter - resource
Type StringSchema Version - sort
By String - sort
Order String - start
Index Number
Supporting Types
GetDomainsIdentityProofingProviderTemplatesIdentityProofingProviderTemplate
- Attribute
Sets List<string> - A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- Attributes string
- A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- string
- The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- Compartment
Ocid string - Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
- Configurations
List<Get
Domains Identity Proofing Provider Templates Identity Proofing Provider Template Configuration> - Proofing Provider Configuration Template.
- Delete
In boolProgress - A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
- Domain
Ocid string - Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
- Id string
- Unique identifier for the SCIM Resource as defined by the Service Provider. Each representation of the Resource MUST include a non-empty id value. This identifier MUST be unique across the Service Provider's entire set of Resources. It MUST be a stable, non-reassignable identifier that does not change when the same Resource is returned in subsequent requests. The value of the id attribute is always issued by the Service Provider and MUST never be specified by the Service Consumer. bulkId: is a reserved keyword and MUST NOT be used in the unique identifier.
- Idcs
Created List<GetBies Domains Identity Proofing Provider Templates Identity Proofing Provider Template Idcs Created By> - The User or App who created the Resource
- Idcs
Endpoint string - The basic endpoint for the identity domain
- Idcs
Last List<GetModified Bies Domains Identity Proofing Provider Templates Identity Proofing Provider Template Idcs Last Modified By> - The User or App who modified the Resource
- Idcs
Last stringUpgraded In Release - The release number when the resource was upgraded.
- Idcs
Locked List<GetBies Domains Identity Proofing Provider Templates Identity Proofing Provider Template Idcs Locked By> - The User or App who locked the Resource.
- Idcs
Locked stringOn - The most recent DateTime the resource was locked.
- Idcs
Locked List<string>Operations - Operations that are locked on the resource.
- Idcs
Prevented List<string>Operations - Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
- Identity
Proofing stringProvider Template Provider - Name of the Identity Proofing Provider.
- Metas
List<Get
Domains Identity Proofing Provider Templates Identity Proofing Provider Template Meta> - A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
- Ocid string
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- Resource
Type stringSchema Version - An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- Schemas List<string>
- REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
- Service
Types List<string> - Service type supported by the Identity Proofing Provider.
- Tenancy
Ocid string - Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
- Verification
Url string - verification URL.
- Attribute
Sets []string - A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- Attributes string
- A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- string
- The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- Compartment
Ocid string - Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
- Configurations
[]Get
Domains Identity Proofing Provider Templates Identity Proofing Provider Template Configuration - Proofing Provider Configuration Template.
- Delete
In boolProgress - A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
- Domain
Ocid string - Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
- Id string
- Unique identifier for the SCIM Resource as defined by the Service Provider. Each representation of the Resource MUST include a non-empty id value. This identifier MUST be unique across the Service Provider's entire set of Resources. It MUST be a stable, non-reassignable identifier that does not change when the same Resource is returned in subsequent requests. The value of the id attribute is always issued by the Service Provider and MUST never be specified by the Service Consumer. bulkId: is a reserved keyword and MUST NOT be used in the unique identifier.
- Idcs
Created []GetBies Domains Identity Proofing Provider Templates Identity Proofing Provider Template Idcs Created By - The User or App who created the Resource
- Idcs
Endpoint string - The basic endpoint for the identity domain
- Idcs
Last []GetModified Bies Domains Identity Proofing Provider Templates Identity Proofing Provider Template Idcs Last Modified By - The User or App who modified the Resource
- Idcs
Last stringUpgraded In Release - The release number when the resource was upgraded.
- Idcs
Locked []GetBies Domains Identity Proofing Provider Templates Identity Proofing Provider Template Idcs Locked By - The User or App who locked the Resource.
- Idcs
Locked stringOn - The most recent DateTime the resource was locked.
- Idcs
Locked []stringOperations - Operations that are locked on the resource.
- Idcs
Prevented []stringOperations - Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
- Identity
Proofing stringProvider Template Provider - Name of the Identity Proofing Provider.
- Metas
[]Get
Domains Identity Proofing Provider Templates Identity Proofing Provider Template Meta - A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
- Ocid string
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- Resource
Type stringSchema Version - An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- Schemas []string
- REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
- Service
Types []string - Service type supported by the Identity Proofing Provider.
- Tenancy
Ocid string - Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
- Verification
Url string - verification URL.
- attribute
Sets List<String> - A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- attributes String
- A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- String
- The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- compartment
Ocid String - Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
- configurations
List<Get
Domains Proofing Provider Templates Proofing Provider Template Configuration> - Proofing Provider Configuration Template.
- delete
In BooleanProgress - A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
- domain
Ocid String - Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
- id String
- Unique identifier for the SCIM Resource as defined by the Service Provider. Each representation of the Resource MUST include a non-empty id value. This identifier MUST be unique across the Service Provider's entire set of Resources. It MUST be a stable, non-reassignable identifier that does not change when the same Resource is returned in subsequent requests. The value of the id attribute is always issued by the Service Provider and MUST never be specified by the Service Consumer. bulkId: is a reserved keyword and MUST NOT be used in the unique identifier.
- idcs
Created List<GetBies Domains Proofing Provider Templates Proofing Provider Template Idcs Created By> - The User or App who created the Resource
- idcs
Endpoint String - The basic endpoint for the identity domain
- idcs
Last List<GetModified Bies Domains Proofing Provider Templates Proofing Provider Template Idcs Last Modified By> - The User or App who modified the Resource
- idcs
Last StringUpgraded In Release - The release number when the resource was upgraded.
- idcs
Locked List<GetBies Domains Proofing Provider Templates Proofing Provider Template Idcs Locked By> - The User or App who locked the Resource.
- idcs
Locked StringOn - The most recent DateTime the resource was locked.
- idcs
Locked List<String>Operations - Operations that are locked on the resource.
- idcs
Prevented List<String>Operations - Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
- identity
Proofing StringProvider Template Provider - Name of the Identity Proofing Provider.
- metas
List<Get
Domains Proofing Provider Templates Proofing Provider Template Meta> - A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
- ocid String
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- resource
Type StringSchema Version - An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- schemas List<String>
- REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
- service
Types List<String> - Service type supported by the Identity Proofing Provider.
- tenancy
Ocid String - Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
- verification
Url String - verification URL.
- attribute
Sets string[] - A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- attributes string
- A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- string
- The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- compartment
Ocid string - Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
- configurations
Get
Domains Identity Proofing Provider Templates Identity Proofing Provider Template Configuration[] - Proofing Provider Configuration Template.
- delete
In booleanProgress - A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
- domain
Ocid string - Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
- id string
- Unique identifier for the SCIM Resource as defined by the Service Provider. Each representation of the Resource MUST include a non-empty id value. This identifier MUST be unique across the Service Provider's entire set of Resources. It MUST be a stable, non-reassignable identifier that does not change when the same Resource is returned in subsequent requests. The value of the id attribute is always issued by the Service Provider and MUST never be specified by the Service Consumer. bulkId: is a reserved keyword and MUST NOT be used in the unique identifier.
- idcs
Created GetBies Domains Identity Proofing Provider Templates Identity Proofing Provider Template Idcs Created By[] - The User or App who created the Resource
- idcs
Endpoint string - The basic endpoint for the identity domain
- idcs
Last GetModified Bies Domains Identity Proofing Provider Templates Identity Proofing Provider Template Idcs Last Modified By[] - The User or App who modified the Resource
- idcs
Last stringUpgraded In Release - The release number when the resource was upgraded.
- idcs
Locked GetBies Domains Identity Proofing Provider Templates Identity Proofing Provider Template Idcs Locked By[] - The User or App who locked the Resource.
- idcs
Locked stringOn - The most recent DateTime the resource was locked.
- idcs
Locked string[]Operations - Operations that are locked on the resource.
- idcs
Prevented string[]Operations - Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
- identity
Proofing stringProvider Template Provider - Name of the Identity Proofing Provider.
- metas
Get
Domains Identity Proofing Provider Templates Identity Proofing Provider Template Meta[] - A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
- ocid string
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- resource
Type stringSchema Version - An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- schemas string[]
- REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
- service
Types string[] - Service type supported by the Identity Proofing Provider.
- tenancy
Ocid string - Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
- verification
Url string - verification URL.
- attribute_
sets Sequence[str] - A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- attributes str
- A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- str
- The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- compartment_
ocid str - Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
- configurations
Sequence[Get
Domains Identity Proofing Provider Templates Identity Proofing Provider Template Configuration] - Proofing Provider Configuration Template.
- delete_
in_ boolprogress - A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
- domain_
ocid str - Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
- id str
- Unique identifier for the SCIM Resource as defined by the Service Provider. Each representation of the Resource MUST include a non-empty id value. This identifier MUST be unique across the Service Provider's entire set of Resources. It MUST be a stable, non-reassignable identifier that does not change when the same Resource is returned in subsequent requests. The value of the id attribute is always issued by the Service Provider and MUST never be specified by the Service Consumer. bulkId: is a reserved keyword and MUST NOT be used in the unique identifier.
- idcs_
created_ Sequence[Getbies Domains Identity Proofing Provider Templates Identity Proofing Provider Template Idcs Created By] - The User or App who created the Resource
- idcs_
endpoint str - The basic endpoint for the identity domain
- idcs_
last_ Sequence[Getmodified_ bies Domains Identity Proofing Provider Templates Identity Proofing Provider Template Idcs Last Modified By] - The User or App who modified the Resource
- idcs_
last_ strupgraded_ in_ release - The release number when the resource was upgraded.
- idcs_
locked_ Sequence[Getbies Domains Identity Proofing Provider Templates Identity Proofing Provider Template Idcs Locked By] - The User or App who locked the Resource.
- idcs_
locked_ stron - The most recent DateTime the resource was locked.
- idcs_
locked_ Sequence[str]operations - Operations that are locked on the resource.
- idcs_
prevented_ Sequence[str]operations - Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
- identity_
proofing_ strprovider_ template_ provider - Name of the Identity Proofing Provider.
- metas
Sequence[Get
Domains Identity Proofing Provider Templates Identity Proofing Provider Template Meta] - A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
- ocid str
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- resource_
type_ strschema_ version - An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- schemas Sequence[str]
- REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
- service_
types Sequence[str] - Service type supported by the Identity Proofing Provider.
- tenancy_
ocid str - Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
- verification_
url str - verification URL.
- attribute
Sets List<String> - A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- attributes String
- A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- String
- The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- compartment
Ocid String - Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
- configurations List<Property Map>
- Proofing Provider Configuration Template.
- delete
In BooleanProgress - A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
- domain
Ocid String - Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
- id String
- Unique identifier for the SCIM Resource as defined by the Service Provider. Each representation of the Resource MUST include a non-empty id value. This identifier MUST be unique across the Service Provider's entire set of Resources. It MUST be a stable, non-reassignable identifier that does not change when the same Resource is returned in subsequent requests. The value of the id attribute is always issued by the Service Provider and MUST never be specified by the Service Consumer. bulkId: is a reserved keyword and MUST NOT be used in the unique identifier.
- idcs
Created List<Property Map>Bies - The User or App who created the Resource
- idcs
Endpoint String - The basic endpoint for the identity domain
- idcs
Last List<Property Map>Modified Bies - The User or App who modified the Resource
- idcs
Last StringUpgraded In Release - The release number when the resource was upgraded.
- idcs
Locked List<Property Map>Bies - The User or App who locked the Resource.
- idcs
Locked StringOn - The most recent DateTime the resource was locked.
- idcs
Locked List<String>Operations - Operations that are locked on the resource.
- idcs
Prevented List<String>Operations - Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
- identity
Proofing StringProvider Template Provider - Name of the Identity Proofing Provider.
- metas List<Property Map>
- A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
- ocid String
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- resource
Type StringSchema Version - An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- schemas List<String>
- REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
- service
Types List<String> - Service type supported by the Identity Proofing Provider.
- tenancy
Ocid String - Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
- verification
Url String - verification URL.
GetDomainsIdentityProofingProviderTemplatesIdentityProofingProviderTemplateConfiguration
- Name string
- Name of the Identity Proofing Provider configuration.
- Sensitivity bool
- Sensitivity of the Identity Proofing configuration.
- Type string
- The type of resource, User or App, that locked this Resource.
- Name string
- Name of the Identity Proofing Provider configuration.
- Sensitivity bool
- Sensitivity of the Identity Proofing configuration.
- Type string
- The type of resource, User or App, that locked this Resource.
- name String
- Name of the Identity Proofing Provider configuration.
- sensitivity Boolean
- Sensitivity of the Identity Proofing configuration.
- type String
- The type of resource, User or App, that locked this Resource.
- name string
- Name of the Identity Proofing Provider configuration.
- sensitivity boolean
- Sensitivity of the Identity Proofing configuration.
- type string
- The type of resource, User or App, that locked this Resource.
- name str
- Name of the Identity Proofing Provider configuration.
- sensitivity bool
- Sensitivity of the Identity Proofing configuration.
- type str
- The type of resource, User or App, that locked this Resource.
- name String
- Name of the Identity Proofing Provider configuration.
- sensitivity Boolean
- Sensitivity of the Identity Proofing configuration.
- type String
- The type of resource, User or App, that locked this Resource.
GetDomainsIdentityProofingProviderTemplatesIdentityProofingProviderTemplateIdcsCreatedBy
- Display string
- The displayName of the User or App who locked this Resource.
- Ocid string
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- Ref string
- Type string
- The type of resource, User or App, that locked this Resource.
- Value string
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- Display string
- The displayName of the User or App who locked this Resource.
- Ocid string
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- Ref string
- Type string
- The type of resource, User or App, that locked this Resource.
- Value string
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- display String
- The displayName of the User or App who locked this Resource.
- ocid String
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- ref String
- type String
- The type of resource, User or App, that locked this Resource.
- value String
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- display string
- The displayName of the User or App who locked this Resource.
- ocid string
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- ref string
- type string
- The type of resource, User or App, that locked this Resource.
- value string
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- display str
- The displayName of the User or App who locked this Resource.
- ocid str
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- ref str
- type str
- The type of resource, User or App, that locked this Resource.
- value str
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- display String
- The displayName of the User or App who locked this Resource.
- ocid String
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- ref String
- type String
- The type of resource, User or App, that locked this Resource.
- value String
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
GetDomainsIdentityProofingProviderTemplatesIdentityProofingProviderTemplateIdcsLastModifiedBy
- Display string
- The displayName of the User or App who locked this Resource.
- Ocid string
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- Ref string
- Type string
- The type of resource, User or App, that locked this Resource.
- Value string
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- Display string
- The displayName of the User or App who locked this Resource.
- Ocid string
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- Ref string
- Type string
- The type of resource, User or App, that locked this Resource.
- Value string
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- display String
- The displayName of the User or App who locked this Resource.
- ocid String
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- ref String
- type String
- The type of resource, User or App, that locked this Resource.
- value String
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- display string
- The displayName of the User or App who locked this Resource.
- ocid string
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- ref string
- type string
- The type of resource, User or App, that locked this Resource.
- value string
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- display str
- The displayName of the User or App who locked this Resource.
- ocid str
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- ref str
- type str
- The type of resource, User or App, that locked this Resource.
- value str
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- display String
- The displayName of the User or App who locked this Resource.
- ocid String
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- ref String
- type String
- The type of resource, User or App, that locked this Resource.
- value String
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
GetDomainsIdentityProofingProviderTemplatesIdentityProofingProviderTemplateIdcsLockedBy
- Display string
- The displayName of the User or App who locked this Resource.
- Ocid string
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- Type string
- The type of resource, User or App, that locked this Resource.
- Value string
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- _
ref string - The URI of the SCIM resource that represents the User or App who Locked this Resource.
- Display string
- The displayName of the User or App who locked this Resource.
- Ocid string
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- Type string
- The type of resource, User or App, that locked this Resource.
- Value string
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- _
ref string - The URI of the SCIM resource that represents the User or App who Locked this Resource.
- _
ref String - The URI of the SCIM resource that represents the User or App who Locked this Resource.
- display String
- The displayName of the User or App who locked this Resource.
- ocid String
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- type String
- The type of resource, User or App, that locked this Resource.
- value String
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- _
ref string - The URI of the SCIM resource that represents the User or App who Locked this Resource.
- display string
- The displayName of the User or App who locked this Resource.
- ocid string
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- type string
- The type of resource, User or App, that locked this Resource.
- value string
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- _
ref str - The URI of the SCIM resource that represents the User or App who Locked this Resource.
- display str
- The displayName of the User or App who locked this Resource.
- ocid str
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- type str
- The type of resource, User or App, that locked this Resource.
- value str
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- _
ref String - The URI of the SCIM resource that represents the User or App who Locked this Resource.
- display String
- The displayName of the User or App who locked this Resource.
- ocid String
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- type String
- The type of resource, User or App, that locked this Resource.
- value String
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
GetDomainsIdentityProofingProviderTemplatesIdentityProofingProviderTemplateMeta
- Created string
- The DateTime the Resource was added to the Service Provider
- Last
Modified string - The most recent DateTime that the details of this Resource were updated at the Service Provider. If this Resource has never been modified since its initial creation, the value MUST be the same as the value of created. The attribute MUST be a DateTime.
- Location string
- The URI of the Resource being returned. This value MUST be the same as the Location HTTP response header.
- Resource
Type string - Name of the resource type of the resource--for example, Users or Groups
- Version string
- The version of the Resource being returned. This value must be the same as the ETag HTTP response header.
- Created string
- The DateTime the Resource was added to the Service Provider
- Last
Modified string - The most recent DateTime that the details of this Resource were updated at the Service Provider. If this Resource has never been modified since its initial creation, the value MUST be the same as the value of created. The attribute MUST be a DateTime.
- Location string
- The URI of the Resource being returned. This value MUST be the same as the Location HTTP response header.
- Resource
Type string - Name of the resource type of the resource--for example, Users or Groups
- Version string
- The version of the Resource being returned. This value must be the same as the ETag HTTP response header.
- created String
- The DateTime the Resource was added to the Service Provider
- last
Modified String - The most recent DateTime that the details of this Resource were updated at the Service Provider. If this Resource has never been modified since its initial creation, the value MUST be the same as the value of created. The attribute MUST be a DateTime.
- location String
- The URI of the Resource being returned. This value MUST be the same as the Location HTTP response header.
- resource
Type String - Name of the resource type of the resource--for example, Users or Groups
- version String
- The version of the Resource being returned. This value must be the same as the ETag HTTP response header.
- created string
- The DateTime the Resource was added to the Service Provider
- last
Modified string - The most recent DateTime that the details of this Resource were updated at the Service Provider. If this Resource has never been modified since its initial creation, the value MUST be the same as the value of created. The attribute MUST be a DateTime.
- location string
- The URI of the Resource being returned. This value MUST be the same as the Location HTTP response header.
- resource
Type string - Name of the resource type of the resource--for example, Users or Groups
- version string
- The version of the Resource being returned. This value must be the same as the ETag HTTP response header.
- created str
- The DateTime the Resource was added to the Service Provider
- last_
modified str - The most recent DateTime that the details of this Resource were updated at the Service Provider. If this Resource has never been modified since its initial creation, the value MUST be the same as the value of created. The attribute MUST be a DateTime.
- location str
- The URI of the Resource being returned. This value MUST be the same as the Location HTTP response header.
- resource_
type str - Name of the resource type of the resource--for example, Users or Groups
- version str
- The version of the Resource being returned. This value must be the same as the ETag HTTP response header.
- created String
- The DateTime the Resource was added to the Service Provider
- last
Modified String - The most recent DateTime that the details of this Resource were updated at the Service Provider. If this Resource has never been modified since its initial creation, the value MUST be the same as the value of created. The attribute MUST be a DateTime.
- location String
- The URI of the Resource being returned. This value MUST be the same as the Location HTTP response header.
- resource
Type String - Name of the resource type of the resource--for example, Users or Groups
- version String
- The version of the Resource being returned. This value must be the same as the ETag HTTP response header.
Package Details
- Repository
- oci pulumi/pulumi-oci
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
ociTerraform Provider.
Viewing docs for Oracle Cloud Infrastructure v4.4.0
published on Thursday, Mar 26, 2026 by Pulumi
published on Thursday, Mar 26, 2026 by Pulumi
